Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039950
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2019-01-15 12:432019-02-04 09:16
ReporterasiermartirenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision6a36d470afb3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039950: The callbacks of a calculateReceipt are executed with the calculateReceipt process set

DescriptionWhen the callbacks of a calculate receipt are executed, those executions are made with the process controller of the calculateReceipt set. The process should finish and them the callbacks should be called.

This also occurred for the calculatingReceipt property.

Those properties should be set before calling to the callbacks, copying the calculateReceiptCallbacks to a new array and unsetting it. In this way, if one of the callbacks executes the calculate receipt when all the callbacks haven't been executed, those new callbacks won't be set to the same array.
Steps To ReproduceAdd a line in the Web POS and debug the code.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0040112RR19Q1 closedranjith_qualiantech_com The callbacks of a calculateReceipt are executed with the calculateReceipt process set 

-  Notes
(0109069)
hgbot (developer)
2019-01-22 12:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3b3f7f6a25264cd7ac5580f0195fc82c4767f13d
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Jan 22 17:16:13 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b3f7f6a25264cd7ac5580f0195fc82c4767f13d [^]

Fixed issue 39950 : Changes in calculateReceipt callback functions

* If calculateReceipt X is presents inside callback of calculateReceipt Y and calculateReceipt X callback has same,
  then each calculateReceipt callback must be executed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0109081)
marvintm (developer)
2019-01-22 15:40

A different fix must be done
(0109264)
hgbot (developer)
2019-01-28 06:53

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6a36d470afb3d679175071bb3ef645bd2771a7b0
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 28 11:22:59 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6a36d470afb3d679175071bb3ef645bd2771a7b0 [^]

Fixed issue 39950 : Changes in calculateReceipt callback functions

* If calculateReceipt is presents inside callback of calculateReceipt, callback should be called when the calculateReceipt process is completed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2019-01-15 12:43 asiermartirena New Issue
2019-01-15 12:43 asiermartirena Assigned To => Retail
2019-01-15 12:43 asiermartirena Triggers an Emergency Pack => No
2019-01-17 07:10 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-01-17 07:10 ranjith_qualiantech_com Status new => scheduled
2019-01-22 12:47 hgbot Checkin
2019-01-22 12:47 hgbot Note Added: 0109069
2019-01-22 12:47 hgbot Status scheduled => resolved
2019-01-22 12:47 hgbot Resolution open => fixed
2019-01-22 12:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b3f7f6a25264cd7ac5580f0195fc82c4767f13d [^]
2019-01-22 15:40 marvintm Note Added: 0109081
2019-01-22 15:40 marvintm Status resolved => new
2019-01-22 15:40 marvintm Resolution fixed => open
2019-01-24 10:23 ranjith_qualiantech_com Status new => scheduled
2019-01-28 06:53 hgbot Checkin
2019-01-28 06:53 hgbot Note Added: 0109264
2019-01-28 06:53 hgbot Status scheduled => resolved
2019-01-28 06:53 hgbot Resolution open => fixed
2019-01-28 06:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3b3f7f6a25264cd7ac5580f0195fc82c4767f13d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6a36d470afb3d679175071bb3ef645bd2771a7b0 [^]
2019-02-04 09:16 marvintm Status resolved => new
2019-02-04 09:16 marvintm Resolution fixed => open
2019-02-04 09:16 marvintm Status new => scheduled
2019-02-04 09:16 marvintm Status scheduled => resolved
2019-02-04 09:16 marvintm Fixed in Version => RR19Q2
2019-02-04 09:16 marvintm Resolution open => fixed
2019-02-04 09:16 marvintm Review Assigned To => marvintm
2019-02-04 09:16 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker